Skip to main content
DELETE
/
api
/
v2
/
apps
/
{app_id}
/
owners
/
entitlements
/
{role_slug}
/
{app_entitlement_ref_app_id}
/
{app_entitlement_ref_id}
DeleteEntitlementOwner
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIAppV2AppOwnersDeleteEntitlementOwnerRequest{
        AppEntitlementRefAppID: "<id>",
        AppEntitlementRefID: "<id>",
        AppID: "<id>",
        RoleSlug: "<value>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.DeleteEntitlementOwnerResponse != nil {
        // handle response
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

role_slug
string
required

The roleSlug field.

app_entitlement_ref_app_id
string
required

The appId field.

app_entitlement_ref_id
string
required

The id field.

Body

application/json

DeleteEntitlementOwnerRequest is the request for deleting an entitlement ownership source.

appEntitlementRef
App Entitlement Ref · object

The AppEntitlementRef message.

Response

200 - application/json

DeleteEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source.

DeleteEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source.